#chart {
    z-index: 50;
}

#legends {
    padding-top: 10px;
    padding-left: 10px;
    position: absolute;
    z-index: 100;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: fit-content;
    pointer-events: none;
}

.legend-container-row {
    margin-top: 5px;
    display: flex;
    flex-direction: row;
    align-items: center;
    z-index: 2000;
    width: fit-content;
    pointer-events: auto;
}

.legend-item {
    display: flex;
    background-color: rgba(134, 134, 134, 0.55);
    padding: 5px 10px;
    border-radius: 5px;
    border: 1px solid #3b3b44;
    flex-wrap: wrap;
}

.legend-item-buttons {
    margin-left: 5px;
    display: flex;
    align-items: center;
}

.noWrapWrapper {
    display: flex;
}

.titlesWrapper {
    display: flex;
    flex-direction: row;
    margin-right: 10px;
    white-space: nowrap;
}

.title {
    font-size: 14px;
    color: #ffffff;
}

.mainTitle {
    font-weight: bold;
}

.descTitle {
    font-size: 12px;
    color: #ffffff;
}

.buttonsWrapper {
    display: flex;
    align-items: center;
    gap: 5px;
}

.buttons {
    display: flex;
    align-items: center;
    gap: 5px;
}

.button {
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
    color: rgba(255, 255, 255, 0.47);
}

.buttonIcon svg {
    width: 18px;
    height: 18px;
    fill: #d1d4dc;
}

.valuesWrapper {
    display: flex;
    align-items: center;
    margin-left: 5px;
}

.valueItem {
    font-size: 12px;
    font-weight: bold;
}

.hidden {
    display: none;
}

.bitcoin-logo {
    width: 50px;
    height: 50px;
    fill: #F7931A;
}

.floating-tooltip {
    position: absolute;
    display: none;
    padding: 8px;
    box-sizing: border-box;
    font-size: 12px;
    color: #131722;
    background-color: rgba(255, 255, 255, 1);
    text-align: left;
    z-index: 1000;
    top: 12px;
    left: 12px;
    pointer-events: none;
    border: 1px solid rgba(255, 70, 70, 1);
    border-radius: 2px;
}
